Skip to main content
`Ctrl`+`K`

# PCMGGetSmootherDown

Gets the `KSP` context to be used as smoother before coarse grid correction (pre-smoother).

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetSmootherDown(PC pc, PetscInt l, KSP *ksp)

Not Collective, ksp returned is parallel if pc is

## Input Parameters

- pc - the multigrid context

- l - the level (0 is coarsest) to supply

## Output Parameter

- ksp - the smoother

## Note

Calling this will result in a different pre and post smoother so you may need to set options on the post smoother also

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGGetSmootherUp()`, `PCMGGetSmoother()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages